import e from "./_castPath.js";
import t from "./_baseGet.js";
import n from "./_baseSet.js";
//#region ../../node_modules/lodash-es/_basePickBy.js
function r(r, i, a) {
	for (var o = -1, s = i.length, c = {}; ++o < s;) {
		var l = i[o], u = t(r, l);
		a(u, l) && n(c, e(l, r), u);
	}
	return c;
}
//#endregion
export { r as default };
